// Skybox

textures/ut_ftdicks/ftdicks
{
	qer_editorimage textures/ut_ftdicks/ftdicks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 0.90 300 180 80
	q3map_surfacelight 100
	skyparms textures/ut_ftdicks/env/ftdicks - -
}

textures/ut_ftdicks/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ut_ftdicks/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_ftdicks/ladder
{
        qer_editorimage textures/ut_ftdicks/ladder.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_ftdicks/ladder.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_ftdicks/grate1
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_ftdicks/grate1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_ftdicks/grate2
{
	surfaceparm trans
    surfaceparm nomarks	
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_ftdicks/grate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_ftdicks/gate
{
	qer_editor_image textures/ut_ftdicks/gate.tga
	qer_trans 0.40
	cull disable
	{
		map textures/ut_ftdicks/gate.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_ftdicks/green-camo-net
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_ftdicks/green-camo-net.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_ftdicks/light_industrial_05d
{
	qer_editorimage textures/ut_ftdicks/light_industrial_05d.tga
	q3map_surfacelight 3500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_ftdicks/light_industrial_05d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_ftdicks/light_industrial_05d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_ftdicks/light_spot_01d
{
	qer_editorimage textures/ut_ftdicks/light_spot_01d.tga
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_ftdicks/light_spot_01d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_ftdicks/light_spot_01d_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
